Jump to content

MediaWiki:Common.css

From Scampsopedia
Revision as of 11:23, 14 January 2026 by RikThePixel (talk | contribs)

Note: After publishing, you may have to bypass your browser's cache to see the changes.

  • Firefox / Safari: Hold Shift while clicking Reload, or press either Ctrl-F5 or Ctrl-R (⌘-R on a Mac)
  • Google Chrome: Press Ctrl-Shift-R (⌘-Shift-R on a Mac)
  • Edge: Hold Ctrl while clicking Refresh, or press Ctrl-F5.
.scamp-link-button {
  display: inline-flex;
  align-items: center;
  justify-content: center;

  transition: background-color 0.2s ease;
  background-color: var(--background-color-interactive);
  border: 1px solid var(--border-color-interactive);
  border-radius: 4px;
}

.scamp-link-button:hover {
  background-color: var(--background-color-interactive--hover);
}

.scamp-link-button > a { 
  text-align: center;
  flex: 1;
  padding: 0.75rem 1rem;
  color: var(--color-base);
  text-decoration: none;
}

.scamp-link-button:hover > a,
.scamp-link-button:active > a { 
  color: var(--color-base);
}

.scamp-link-button > a.external {
  background-image: none;
  padding: 0.75rem 1rem;
}